Bug 4740 - Rename 'slight' to 'relaxed'
: Rename 'slight' to 'relaxed'
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/rpm-build-python)
: unstable
: all Linux
: P2 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-07-08 14:22 by
Modified: 2009-05-10 09:32 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-07-08 14:22:30
Использование ключевого слова relaxed для ослабленной проверки зависимостей:
а) более грамотно для английского языка;
б) уже знакомо по другим скриптам зависимостей и проверок, например,
%_verify-elf-method.
------- Comment #1 From 2004-07-09 11:48:40 -------
Совершенно с вами согласен, но к сожалению уже поздно. Вам стоило предложить 
это хотя бы два месяца назад. На сегодняшний день изменение ключевого слова 
развалит сборку и до конца фриза недопустимо. 
------- Comment #2 From 2004-07-09 12:00:47 -------
Я это предлагал два месяца назад -- в виде переименования python-slight в
python-relaxed, и это было сделано. Нужно ли тыкать в каждое место, где надо
сделать так же? Наверное, да.

Можно заставить скрипт понимать оба варианта, оставив slight для совместимости.
------- Comment #3 From 2004-07-09 12:02:29 -------
Сделаем это позже, если сейчас добавить две строчки в скрипт труба.
------- Comment #4 From 2004-07-09 13:15:57 -------
(In reply to comment #2) 
> Я это предлагал два месяца назад -- в виде переименования python-slight в 
> python-relaxed, и это было сделано. 
 
Разумеется. Я же говорю, что я с этим согласен.Если бы я тогда вспомнил 
о slight в другом месте - я бы там тоже поменял. Но, я не вспомнил. 
 
 
> Нужно ли тыкать в каждое место, где надо 
> сделать так же? Наверное, да. 
 
Нужно перестать мне хамить, в первую очередь, и вести себя тактично. Я такой же 
человек как и вы и тоже могу ошибаться. Все эти тонкости обсуждались 
в рассылке полгода назад и многократно публиковались. 
 
> Можно заставить скрипт понимать оба варианта, оставив slight для  
> совместимости. 
 
Можно. В  девелоперской версии соотв. изменения сделаны. 
 
 
------- Comment #5 From 2004-07-09 14:05:09 -------
(In reply to comment #4)
> Нужно перестать мне хамить, в первую очередь, и вести себя тактично. Я такой же 
> человек как и вы и тоже могу ошибаться.

Прошу прощения.
------- Comment #6 From 2006-01-23 11:29:15 -------
Хочу сменить статус на Fixed
------- Comment #7 From 2006-01-23 11:29:30 -------
Хочу сменить статус на Fixed